BEGIN {
    eval "use Win32";

    $Platforms::platform = "unix";
    ($Platforms::platform = "win32") if( defined &Win32::IsWinNT );

    print "running on $Platforms::platform\n" if( $BigSister::common::dl );

    require "BS_$Platforms::platform.pm";
}

package Platforms;

sub isunix {
    return ($platform eq "unix");
}


sub iswin32 {
    return ($platform eq "win32");
}


1;
